package com.liquidnet.service.kylin.service.partner;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.kylin.dto.param.TicketCreateParam;
import com.liquidnet.service.kylin.dto.vo.partner.TicketCreatePartnerVo;
import com.liquidnet.service.kylin.entity.KylinTickets;

import java.util.List;

/**
 * <p>
 * 票 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-06
 */
public interface IKylinTicketsPartnerService extends IService<KylinTickets> {

    TicketCreatePartnerVo createTicket(TicketCreateParam ticketCreateParam);

    TicketCreatePartnerVo updateTicket(TicketCreateParam ticketCreateParam);

    boolean deleteTicket(String ticketsId);

    TicketCreatePartnerVo copyTicket(String ticketsId);

    boolean submitTicketByTimes(String timesId);

    List<TicketCreatePartnerVo> getTicketMongoList(String timesId);

    TicketCreatePartnerVo getTicketsMongo(String ticketsId);
}
